#include "DoubleToken.h"

DoubleToken::DoubleToken(TokenType tt, int line, double data) : Token(tt, line), data(data)
{
}

DoubleToken::~DoubleToken()
{
}

const void* DoubleToken::getData() const
{
    return &data;
}

string DoubleToken::getDataString() const
{
    if(data == (long) data)
    {
        char buffer[20];
        snprintf(buffer, 20, "%lg.0", data);
        return buffer;
    }
    char buffer[20];
    snprintf(buffer, 20, "%lg", data);
    return buffer;
}

