#include "StringToken.h"

StringToken::StringToken(TokenType tt, int line, string data) : Token(tt, line), data(data)
{
}

StringToken::~StringToken()
{
}

const void* StringToken::getData() const
{
    return &data;
}

string StringToken::getDataString() const
{
    return "\"" + data + "\"";
}