#ifndef STRINGTOKEN_H
#define STRINGTOKEN_H

#include "Token.h"

class StringToken : public Token
{
public:
    StringToken(TokenType tt, int line, string data);
    virtual ~StringToken();
    
    const void* getData() const override;
    string getDataString() const override;
    
private:
    string data;
};

#endif

