#ifndef ISNUVILOGGER_H
#define ISNUVILOGGER_H

#include <string>
#include <exception>
#include "Script.h"

using namespace std;

class ISnuviLogger
{
    virtual void print(
            const string* message = nullptr, 
            exception* ex = nullptr, 
            const string* function = nullptr, 
            const string* scriptname = nullptr, 
            const Script* sc = nullptr,
            int line = -1) = 0;
};

#endif

