#ifndef TEST_H
#define TEST_H

#include <iostream>
#include "TestLogger.h"

using namespace std;

class Test
{
public:
    static void test();
private:
    static int done;
    static int tests;
    static TestLogger logger;
    
    static void testTokenizer();
    static void testCompiler();
    static void testOutput();
    
    static void forEachFile(const string& path, const string& ending, void (*f) (const string&, const string&));
};

#endif

