#ifndef TESTLOGGER_H
#define TESTLOGGER_H

#include "../code/ISnuviLogger.h"
#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

class TestLogger : public ISnuviLogger
{
public:
    TestLogger();
    void print(
            const string* message = nullptr, 
            exception* ex = nullptr, 
            const string* function = nullptr, 
            const string* scriptname = nullptr, 
            const Script* sc = nullptr,
            int line = -1) override;
    void reset();
    bool check(const string& name, fstream& check);

private:
    void printNoMatch(const string& name, vector<string>& file);
    
    vector<string> output;
};

#endif

