#ifndef DOUBLETOKEN_H
#define DOUBLETOKEN_H

#include "Token.h"

class DoubleToken : public Token
{
public:
    DoubleToken(TokenType tt, int line, double data);
    ~DoubleToken();
    
    const void* getData() const override;
    string getDataString() const override;
    
private:
    double data;
};

#endif

