#ifndef TOKEN_H
#define TOKEN_H

#include "TokenType.h"
#include <memory>
#include "../base/Object.h"

class Token
{
public:
    Token(TokenType tt, int line);
    virtual ~Token();
    
    TokenType getType() const;
    int getLine() const;
    virtual const void* getData() const;
    virtual string getDataString() const;
    virtual string toString() const;
    
private:
    TokenType type;
    int line;
};

#endif

